Skip to main content
GET
/
market-data
/
chart-range
Get Token Market Chart
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/market-data/chart-range \
  --header 'X-API-KEY: <api-key>'
{}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

id
string

The ID of the coin to get market cap of

Example:

"cg:ethereum"

currency
string
default:USD
required

Target currency (usd, eur, jpy, etc)

Example:

"USD"

symbol
string
default:ETH

Symbol of coin to get price of

Example:

"ETH"

from
number
default:1779137427
required

UNIX Timestamp (eg 1700000000)

Example:

1779915027

to
number
default:1780174227
required

UNIX Timestamp (eg 1706000000)

Example:

1780174227

chainId
string

Unique identifier for a blockchain network.

Example:

"1"

tokenAddress
string

The address of the token to query.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
CoinGecko,
CoinMarketCap

Response

200 - application/json

The response is of type object.